Uploaded image for project: 'Dev - Nexus Repo'
  1. Dev - Nexus Repo
  2. NEXUS-19189

Invalid JSON input error when loading some NPM packages

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Automatically Closed
    • Affects Version/s: 3.14.0, 3.15.2
    • Fix Version/s: None
    • Component/s: NPM
    • Story Points:
      0

      Description

      I try to install protoduck@5.0.1 (https://www.npmjs.com/package/protoduck) from my Nexus OSS 3.14.0-04 configured as NPM proxy.

      NPM responds with error "npm ERR! 404 Not Found: protoduck@latest" and Nexus logs "Invalid JSON input" (complete stack-trace in attachment).

      This package is successfully installed when directly calling registry.npmjs.org

       

      Related issue https://github.com/zkat/protoduck/issues/6

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            damien.sorel Damien
            Last Updated By:
            Peter Lynch Peter Lynch
            Team:
            NXRM - Cypher
            Votes:
            1 Vote for this issue
            Watchers:
            6 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Date of First Response:

                tigCommentSecurity.panel-title